You are not logged in.

#1 2013-05-09 16:39:33

piter85
Member
Registered: 2013-05-09
Posts: 5

[Solved] Blender and issues with libpng & with NOUVEAU dri.

Hi all!!! It's my first post here! I'm using archlinux by few months. Two days ago, after I updated my system, Blender began to work not well.

First, as shown in the image, it doesn't show me the whole 'welcome' image.
http://i40.tinypic.com/1ylls9.png

Second, as shown in the image, when I run a render, it doesn't show me the whole result, but only few parts.
http://oi41.tinypic.com/ngrfwp.jpg

When I run blender from command line it returns me this warning/error:

libpng warning: iCCP: known incorrect sRGB profile

Someone suggested me to use 'optipng' to all png used by blender.
I applied it on all png found with

pacman -Ql blender | grep png 

, but the result is the same.

Any idea??

Sorry for my english!!

Byeeee

Last edited by piter85 (2013-05-10 22:22:08)

Offline

#2 2013-05-09 18:10:00

neodreams
Member
From: Montreal, Canada
Registered: 2006-03-20
Posts: 87
Website

Re: [Solved] Blender and issues with libpng & with NOUVEAU dri.

I guess you need to recompile Blender since the last libpng upgrade.


My Specs: Desktop - http://hacklog.net/solid/
                Laptop - http://hacklog.net/liquid/
                Server - http://hacklog.net/ray/

Offline

#3 2013-05-09 18:19:08

alphaniner
Member
From: Ancapistan
Registered: 2010-07-12
Posts: 2,777

Re: [Solved] Blender and issues with libpng & with NOUVEAU dri.

@neodreams

The package 'blender' is in the official repos, and has been built since the libpng upgrade.

@piter85
Make certain you have the most up to date version of blender. You can also check the libpng version needed by blender by running

ldd /usr/bin/blender | grep png

But whether the Constitution really be one thing, or another, this much is certain - that it has either authorized such a government as we have had, or has been powerless to prevent it. In either case, it is unfit to exist.
-Lysander Spooner

Offline

#4 2013-05-09 18:26:46

piter85
Member
Registered: 2013-05-09
Posts: 5

Re: [Solved] Blender and issues with libpng & with NOUVEAU dri.

HI!
The blender version is the last (2.67)

The command returns me :

ldd /usr/bin/blender | grep png
	libpng16.so.16 => /usr/lib/libpng16.so.16 (0xb7680000)

The versione of libpng that is installed on my system is :

local/libpng 1.6.2-3

Any idea??

Offline

#5 2013-05-09 21:44:05

piter85
Member
Registered: 2013-05-09
Posts: 5

Re: [Solved] Blender and issues with libpng & with NOUVEAU dri.

Hi!  Someone on blender IRC channel shows me that this issue are about graphic drivers. In fact, in the portable version of blender there's a script called 'blender-softwaregl' that use a software implementation OpenGL to draw. Using this script blender works well, so graphic drivers are responsible for these issues.

Now, my graphic drivers are 'xf86-video-nouveau'.  Any idea on how resolve these issue??

P.S. During the famous update, also graphic drivers has been updated.

Last edited by piter85 (2013-05-09 21:45:04)

Offline

#6 2013-05-10 22:21:20

piter85
Member
Registered: 2013-05-09
Posts: 5

Re: [Solved] Blender and issues with libpng & with NOUVEAU dri.

Hi !!! I solved it replacing nouveau drivers with nvidia-304xx. Now it worsk well smile

smile bye big_smile

Offline

Board footer

Powered by FluxBB